/*
 * namedos.h: DOS namespace helpers for mars_nwe
 */
#ifndef _NAMEDOS_H_
#define _NAMEDOS_H_
#if WITH_NAME_SPACE_CALLS

extern int dos_is_83_name(uint8 *name, int options);
extern int build_dos_83_alias(int options, uint8 *parent_unix,
                              uint8 *real_name, ino_t inode,
                              uint8 *alias, int alias_len);
extern void mangle_dos_name(NW_VOL *vol, uint8 *unixname, uint8 *pp, int len);

#endif
#endif
